# frozen_string_literal: true

# This file is part of RASN1
# See https://codeberg.org/lemontree55/rasn1 for more informations
# Copyright (C) 2016-2024 Sylvain Daubert <sylvain.daubert@laposte.net>
# Copyright (C) 2024 LemonTree55 <lenontree@proton.me>
# This program is published under MIT license.

module RASN1
  module Types
    # ASN.1 SET OF
    # @author Sylvain Daubert
    class SetOf < SequenceOf
      # SetOf id value
      ID = Set::ID

      # A SET OF is encoded as a SET.
      # @return [String]
      def self.encoded_type
        Set.encoded_type
      end
    end
  end
end
